GET
/v1/orders/shipments/totalsGET /v1/orders/shipments/totals
Scopes: orders:shipments:read
Requires scope: orders:shipments:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
carrier | query | string | no | |
status | query | string | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
totalShipments | integer<int32> | no | |
lateShipments | integer<int32> | no | |
onTimeShipped | integer<int32> | no | |
lateDelivery | integer<int32> | no | |
onTimeDelivery | integer<int32> | no | |
totalShippingCost | number<double> | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.GET('/v1/orders/shipments/totals', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);